<template>
    <v-container grid-list-md>
         <v-layout row wrap>
           <v-flex md4 sm6 xs12 v-for="(item, i) in portfolio" :key="i">
              <v-card style="min-height: 15em;">
                <br v-if="item.contain">
                <v-card-media v-if="item.imgurl" :contain="item.contain" :height="item.height" :src="item.imgurl">
                </v-card-media>
                <v-card-title>
                  <h3>{{ item.title }}</h3>
                </v-card-title>
                <v-card-title>
                  <b>{{ item.role }}</b>
                  <p>
                    {{ item.description }}
                  </p>
                  <small>{{ item.small }}</small>
                </v-card-title>
                <v-card-actions v-if="item.actions">
                  <v-btn primary fab :key="i" v-for="(action, i) in item.actions">
                    <v-icon v-if="action.icon">{{action.icon}}</v-icon>
                    <img v-if="action.imgurl" :src="action.imgurl" />
                  </v-btn>
                </v-card-actions>
              </v-card>
           </v-flex>
         </v-layout>
     </v-container>
</template>

<script>
export default {
  name: 'Portfolio',
  data () {
    return {
      msg: '',
      portfolio: [
      {
        title: 'JavaScript Drawing App Demo',
        role:  'Web/Javascript Development',
        imgurl: '',
        description: `
          This fun app made in JavaScript let's you draw something.
            Used as the basis for a client's full-featured project that
            incorporates network shared whiteboarding.`,
        small: '-'},
      {
        title: 'Mobile Bluetooth Printer App',
        role:  'Android Development',
        imgurl: '/public/printer.jpg',
        contain: true,
        height: '60px',
        description: `The provided printer SDK and APKs were not meeting the
        client's requirements. An Android Service was created to manage printer
        jobs, correct flaws in the provided SDK code, and reduce complexity.
        This github repository builds on open source code for the
        LG Pocket Photo Printer product line.`,
        actions: [
          {
            url: 'https://github.com/rickpage/LGPrintService',
            icon: null,
            imgurl: '/public/github-48.png',
          },
        ],
        small: 'RP Codes, LLC is not affiliated with LG Electronics'},

        { title: 'EverythingHeatPress.com',
        role:  'Web Development',
        imgurl: '/public/heatpress.png',
        height: '150px',
        description: `Used bootstrap to create a custom site
        for Everything Heat Press. Everything Heat Press provides
        heatpress and printing equipment.
        `,
        small: ''},

        {
          title: 'Research: Multi-stage Hydrodynamic Solver ',
          role:  'Developer, Researcher',
          description: `Numerical results obtained from C/C++ solvers. Genetic algorithm in C/C++. Runs were managed by Python and Matplotlib was used for data visualization

  The advection-dispersion equation with transient storage (ADE-TS) is fitted to observed stream tracer study data to elucidate stream transport characteristics. Two different numerical approaches to solving the ADE-TS are implemented. Convergence of the parameter estimation technique, a micro genetic algorithm followed by a simplex method, is demonstrated.
  `,
          small: '',
          actions: [{
            icon: 'file_download',
          },
          {
            icon: null,
            imgurl: '/public/github-48.png',
          },]
        },],
      }
  },
  computed: {
    computed_height(item){
      return item.contain ? "60px" : "200px";
    },
    binding () {
      // change to row on md breakpoint
      const binding = {}

      if (this.$vuetify.breakpoint.xsAndDown) binding.column = true

      return {};//binding
    },
  }
}
</script>
